package com.zdqz.data.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 毒力基因耐药药品、敏感药品管理对象 data_dljy
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
public class DataDljy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 毒力基因 */
    @Excel(name = "毒力基因")
    private String dljy;

    /** 病原体 */
    @Excel(name = "病原体")
    private String byt;

    /** 耐药药品 */
    @Excel(name = "耐药药品")
    private String nyyp;

    /** 敏感药品 */
    @Excel(name = "敏感药品")
    private String mgyp;

    /** 耐药基因的解释 */
    @Excel(name = "耐药基因的解释")
    private String nyjyExpress;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDljy(String dljy) 
    {
        this.dljy = dljy;
    }

    public String getDljy() 
    {
        return dljy;
    }

    public void setByt(String byt) 
    {
        this.byt = byt;
    }

    public String getByt() 
    {
        return byt;
    }

    public void setNyyp(String nyyp) 
    {
        this.nyyp = nyyp;
    }

    public String getNyyp() 
    {
        return nyyp;
    }

    public void setMgyp(String mgyp) 
    {
        this.mgyp = mgyp;
    }

    public String getMgyp() 
    {
        return mgyp;
    }

    public void setNyjyExpress(String nyjyExpress) 
    {
        this.nyjyExpress = nyjyExpress;
    }

    public String getNyjyExpress() 
    {
        return nyjyExpress;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dljy", getDljy())
            .append("byt", getByt())
            .append("nyyp", getNyyp())
            .append("mgyp", getMgyp())
            .append("nyjyExpress", getNyjyExpress())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
