package com.zdqz.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 世界国家区域对象 sys_area
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
public class SysArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private String areaId;

    /** 父编号 */
    @Excel(name = "父编号")
    private String areaParentId;

    /** 路径 */
    @Excel(name = "路径")
    private String path;

    /** 层级 */
    @Excel(name = "层级")
    private String areaDeep;

    /** 中文名称 */
    @Excel(name = "中文名称")
    private String areaName;

    /** 英文名称 */
    @Excel(name = "英文名称")
    private String nameEn;

    /** 中文拼音 */
    @Excel(name = "中文拼音")
    private String namePinyin;

    /** 代码 */
    @Excel(name = "代码")
    private String code;

    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }

    public void setAreaParentId(String areaParentId) 
    {
        this.areaParentId = areaParentId;
    }

    public String getAreaParentId() 
    {
        return areaParentId;
    }

    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    public void setAreaDeep(String areaDeep) 
    {
        this.areaDeep = areaDeep;
    }

    public String getAreaDeep() 
    {
        return areaDeep;
    }

    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }

    public void setNameEn(String nameEn) 
    {
        this.nameEn = nameEn;
    }

    public String getNameEn() 
    {
        return nameEn;
    }

    public void setNamePinyin(String namePinyin) 
    {
        this.namePinyin = namePinyin;
    }

    public String getNamePinyin() 
    {
        return namePinyin;
    }

    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("areaId", getAreaId())
            .append("areaParentId", getAreaParentId())
            .append("path", getPath())
            .append("areaDeep", getAreaDeep())
            .append("areaName", getAreaName())
            .append("nameEn", getNameEn())
            .append("namePinyin", getNamePinyin())
            .append("code", getCode())
            .toString();
    }
}
